export declare const HOME_DIR = ".ezpack";
export declare class Cache<Info> {
    private cacheFile;
    protected cacheInfo: Info;
    constructor(filename: string);
    protected readFile: () => string;
    protected writeToFile: () => Promise<void>;
}
export declare class LastBuiltEntryCache extends Cache<string[]> {
    constructor();
    getEntry(): string[];
    refreshEntry(newEntry: string[]): void;
}
export interface EntryCacheInfo {
    entryList: string[];
    createTime: number;
}
export declare class DevEntryCache extends Cache<EntryCacheInfo> {
    private currentTime;
    constructor();
    getEntry(): string[];
    addEntry(entryName: string): void;
}
export declare const lastBuiltEntryCache: LastBuiltEntryCache;
export declare const devEntryCache: DevEntryCache;
