import { WebpackOptions } from "./webpackConfig";
import { DevServerOption } from "./startServer";
export interface PublishOptions {
    /**
     * 线上静态文件的仓库（比如 ezstatic）路径
     */
    onlinePath: string;
    /**
     * uat 静态文件的仓库（比如 localezstatic）路径
     */
    uatPath: string;
    /**
     * uat 对应的多套环境的名称，对应多个静态目录，比如 dgamin.65emall.net，dgadmin2.65emall.net
     */
    uatEnv: string[];
    /**
     * uat 对应的多个 map 文件的名称，比如 aspirin 项目的 env1-map.js，env2-map.js
     */
    uatMapName: string[];
    /**
     * 保存上面多个 map 文件的目录名称
     */
    mapDir: string;
}
export interface EZPackOptions {
    /** 项目名称 */
    name: string;
    /**
     * webpack 相关配置
     */
    webpack: WebpackOptions;
    /**
     * 开发服务器配置
     */
    devServer: DevServerOption;
    /**
     * 发布相关配置
     */
    publish: PublishOptions;
    /**
     * 禁用start/ build 模式下的entry选择，默认使用All entry
     */
    disableEntrySelect?: boolean;
}
export declare function validateConfig(config: EZPackOptions): EZPackOptions;
export declare class EZPack {
    options: EZPackOptions;
    constructor(options: EZPackOptions);
    start(): Promise<void>;
    build(analyse?: boolean): Promise<{} | undefined>;
    publish(): Promise<void>;
}
