/// <reference types="webpack" />
import * as webpack from "webpack";
export declare type PreloadIncludeOption = "all" | string[];
export interface PreloadOption {
    rel: "preload" | "prefetch";
    asValue?: "script" | "style" | "font";
    includes: PreloadIncludeOption | {
        [key: string]: PreloadIncludeOption;
    };
}
export interface HtmlExternalOptions {
    /**
     * 指定输出的 html 模板，ejs 语法
     */
    template?: string;
    /**
     * 页面的 title
     */
    title?: string;
    /**
     * map entry 对应 单个输出的 html 模板
     */
    entryTemplates?: {
        [key: string]: string;
    };
    /**
     * 自动插入需要preload / prefetch 的脚本
     */
    preload?: PreloadOption;
    /**
     * 禁用html代码压缩
     */
    disableMinify?: boolean;
    /**
     * 自定义数据字段
     */
    customTplData: any;
}
export interface HtmlOptions extends HtmlExternalOptions {
    dllEntry: webpack.Entry;
    entry: webpack.Entry;
    isProd: boolean;
}
export default class HtmlPlugin {
    options: HtmlOptions;
    constructor(options: HtmlOptions);
    apply(compiler: any): void;
}
