/// <reference types="serve-static" />
/// <reference types="webpack" />
import * as webpack from "webpack";
import * as ezmok from "ezmok";
import * as serveStatic from "serve-static";
export interface ServerStaticPath {
    prefix: string;
    path: string;
}
export interface DevServerOption {
    /**
     * 开发服务器的端口
     */
    port: number;
    /**
     * 开发模式下默认的接口请求地址
     */
    defaultProxyOrigin: ezmok.OriginSetting;
    /**
     * 接口定义文件根目录路径
     */
    apiDefPath: string;
    /**
     * 开发模式初始化编译的 entry
     */
    initEntry?: string[];
    /**
     * 开发服务器的静态文件目录
     */
    contentBase?: string | string[] | ServerStaticPath | ServerStaticPath[];
    /**
     * 静态目录相关配置
     */
    staticOptions?: serveStatic.ServeStaticOptions;
}
export default function startServer(webpackConfig: webpack.Configuration, serverConfig: DevServerOption): void;
