"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const DynamicEntryPlugin = require("webpack/lib/DynamicEntryPlugin");
function addWebpackEntry(compilation, context, name, entry) {
    return new Promise((resolve, reject) => {
        const dep = DynamicEntryPlugin.createDependency(entry, name);
        compilation.addEntry(context, dep, name, err => {
            if (err)
                return reject(err);
            resolve();
        });
    });
}
exports.addWebpackEntry = addWebpackEntry;
//# sourceMappingURL=webpack.js.map